Remove restriction
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
API reference
Removes a restriction applied to a specific account.
Endpoint: v1/dda/accounts/{accountNumber}/restrictions/{id}
DELETE
https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/restrictions/{id}
Path Parameters
- accountNumberstringrequiredDescription
- idstringrequiredDescription
Response
- idstringDescription
- masterAccountNumberstringDescription
- subAccountNumberstringDescription
- restrictionTypestringDescription
- appliesTostringDescription
- statusstringDescription
- railstringDescription
- transactionTypestringDescription
- otherAccountTypestringDescription
- transactionCodestringDescription
- amountThresholdintegerDescription
- effectiveStartTimeHourintegerDescription
- effectiveStartTimeMinuteintegerDescription
- effectiveEndTimeHourintegerDescription
- effectiveEndTimeMinuteintegerDescription
- currencystringDescription
- reasonstringDescription
- notesstringDescription
- createdAtstringDescription
- removedAtstringDescription
- partnerIdstringDescription
- lastModifiedAtstringDescription
curl
curl --location --request DELETE 'https://sandbox.crbcos.com/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'DELETE',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = ''
headers = {
'Authorization': 'Bearer <token>'
}
conn.request("DELETE", "/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088"
method := "DELETE"
payload := strings.NewReader(``)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "51d73b46-ef2a-4a52-b174-b32f00949088",
"masterAccountNumber": "2394312736",
"subAccountNumber": "2394312736",
"restrictionType": "Internal",
"appliesTo": "Account",
"status": "Inactive",
"transactionType": "Debit",
"transactionCode": "Incoming ACH",
"reason": "Account Freeze",
"createdAt": "2025-08-04T05:00:54.423-04:00",
"removedAt": "2025-08-12T06:50:03.4276575-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2025-08-04T05:00:54.4238173-04:00"
}